##### basic_stream_socket::get_option (1 of 2 overloads)

Inherited from basic_socket.

Get an option from the socket.

    template<
        typename GettableSocketOption>
    void get_option(
        GettableSocketOption & option) const;

This function is used to get the current value of an option on the socket.

###### Parameters

option

  The option value to be obtained from the socket.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Getting the value of the SOL_SOCKET/SO_KEEPALIVE option:

    asio::ip::tcp::socket socket(my_context);
    ...
    asio::ip::tcp::socket::keep_alive option;
    socket.get_option(option);
    bool is_set = option.value();